﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Porovnani
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void BtnPorovnej_Click(object sender, RoutedEventArgs e)
        {
            int a = int.Parse(TxtA.Text);
            int b = int.Parse(TxtB.Text);

            if (a > b)
                Zobraz("Větší je A");
            else
                if (a == b) Zobraz("A se rovná B");
            else
                Zobraz("Větší je B");
        }

        private void Zobraz(string text)
        {
            MessageBox.Show(text, "INFORMACE", MessageBoxButton.OK, MessageBoxImage.Information);
        }

        private void BtnPorovnej1_Click(object sender, RoutedEventArgs e)
        {
            // nacti a,b,c
            NactiABC(out int a, out int b, out int c);
            // porovnani
            int max = NejvetsiZeTri(a, b, c);
            Zobraz("Největší je " + max);
        }

        private void NactiABC(out int a, out int b, out int c)
        {
            a = int.Parse(TxtA.Text);
            b = int.Parse(TxtB.Text);
            c = int.Parse(TxtC.Text);
        }

        private int NejvetsiZeTri(int a, int b, int c)
        {
            if (a > b)
            { // a je kandidat, b uz to nebude
                if (a > c) return a;
                else return c;
            }
            else
            { // b je kandidat, a uz to nebude
                if (b > c) return b;
                else return c;
            }
        }

        private void BtnPorovnej2_Click(object sender, RoutedEventArgs e)
        {
            // nacti a,b,c
            NactiABC(out int a, out int b, out int c);
            Zobraz("Větší je " + NejvetsiZeTri2(a, b, c));
        }

        private int NejvetsiZeTri2(int a, int b, int c)
        {
            int max;
            if (a > b) max = a;
            else max = b;

            //int max2 = b;
            //if (a > b) max2 = a;

            //int max3 = a > b ? a : b;

            if (max > c) return max;
            else return c;

            //return (max > c) ? max : c;
        }

        private void BtnPorovnej3_Click(object sender, RoutedEventArgs e)
        {
            NactiABC(out int a, out int b, out int c);
            Zobraz("Větší je " +  Vetsi(c,Vetsi(a, b)));
        }

        private int Vetsi (int a, int b)
        {
            if (a > b) return a;
            else return b;
        }

      //  private int Vetsi2(int a, int b) => (a > b) ? a : b;

    }
}
